CREATE TABLE fun_interco_source_doc_groups (
    SOURCE_DOC_GROUP_ID             NUMBER(18, 0),
    MASTER_DOCUMENT_ID              NUMBER(18, 0)    NOT NULL,
    AMOUNT_TYPE_CODE                VARCHAR2(120)    NOT NULL,
    SOURCE_DOC_GROUP_DATE           DATE             NOT NULL,
    SOURCE_DOC_GROUP_AMOUNT         NUMBER           NOT NULL,
    SOURCE_DOC_GROUP_STATUS_CODE    VARCHAR2(120)    NOT NULL,
    DESCRIPTION                     VARCHAR2(960),
    TEMPLATE_FLAG                   VARCHAR2(4)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    ATTRIBUTE6                      VARCHAR2(600),
    ATTRIBUTE7                      VARCHAR2(600),
    ATTRIBUTE8                      VARCHAR2(600),
    ATTRIBUTE9                      VARCHAR2(600),
    ATTRIBUTE10                     VARCHAR2(600),
    ATTRIBUTE11                     VARCHAR2(600),
    ATTRIBUTE12                     VARCHAR2(600),
    ATTRIBUTE13                     VARCHAR2(600),
    ATTRIBUTE14                     VARCHAR2(600),
    ATTRIBUTE15                     VARCHAR2(600),
    ATTRIBUTE_CATEGORY              VARCHAR2(120),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    SOURCE_DOC_GROUP_NUMBER         VARCHAR2(200)    NOT NULL,
    ALLOCATE_EVENLY_FLAG            VARCHAR2(4)      NOT NULL,
    SOURCE_DOC_GROUP_REFERENCE      VARCHAR2(120)    NOT NULL,
    EXCHANGE_RATE_TYPE              VARCHAR2(120),
    DUE_TO_FROM_CURR_BASIS_CODE     VARCHAR2(120),
    EXCHANGE_RATE_DATE              DATE         ,
    CURRENCY_CODE                   VARCHAR2(60) ,
    MANUAL_APPROVAL_FLAG            VARCHAR2(4)  ,
    SOURCE_DOC_GROUP_ID             NUMBER(18, 0),
    MASTER_DOCUMENT_ID              NUMBER(18, 0)    NOT NULL,
    AMOUNT_TYPE_CODE                VARCHAR2(120)    NOT NULL,
    SOURCE_DOC_GROUP_DATE           DATE             NOT NULL,
    SOURCE_DOC_GROUP_AMOUNT         NUMBER           NOT NULL,
    SOURCE_DOC_GROUP_STATUS_CODE    VARCHAR2(120)    NOT NULL,
    DESCRIPTION                     VARCHAR2(960),
    TEMPLATE_FLAG                   VARCHAR2(4)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    ATTRIBUTE6                      VARCHAR2(600),
    ATTRIBUTE7                      VARCHAR2(600),
    ATTRIBUTE8                      VARCHAR2(600),
    ATTRIBUTE9                      VARCHAR2(600),
    ATTRIBUTE10                     VARCHAR2(600),
    ATTRIBUTE11                     VARCHAR2(600),
    ATTRIBUTE12                     VARCHAR2(600),
    ATTRIBUTE13                     VARCHAR2(600),
    ATTRIBUTE14                     VARCHAR2(600),
    ATTRIBUTE15                     VARCHAR2(600),
    ATTRIBUTE_CATEGORY              VARCHAR2(120),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    SOURCE_DOC_GROUP_NUMBER         VARCHAR2(200)    NOT NULL,
    ALLOCATE_EVENLY_FLAG            VARCHAR2(4)      NOT NULL,
    SOURCE_DOC_GROUP_REFERENCE      VARCHAR2(120)    NOT NULL,
    EXCHANGE_RATE_TYPE              VARCHAR2(120),
    DUE_TO_FROM_CURR_BASIS_CODE     VARCHAR2(120),
    EXCHANGE_RATE_DATE              DATE         ,
    CURRENCY_CODE                   VARCHAR2(60) ,
    MANUAL_APPROVAL_FLAG            VARCHAR2(4)  ,
    CONSTRAINT pk_fun_interco_source_doc_groups PRIMARY KEY (SOURCE_DOC_GROUP_ID, SOURCE_DOC_GROUP_ID)
);
